Commit Multi Ingestion Manifest
curl --request POST \
--url https://api.heybee.app/v1/ingestions/commit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotency_key": "<string>",
"rows": [
{
"anchor": {
"type": "<string>",
"value": "<string>"
},
"experiment_ref": "<string>",
"variants": [
{
"asset": {
"file_path": "<string>",
"text": "<string>"
},
"candidate_key": "<string>",
"candidate_label": "<string>",
"content_hash": "<string>",
"is_exam_only": false,
"metadata": {},
"parameters": {},
"source_sample_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
],
"allow_partial": true,
"mode": "manifest"
}
'import requests
url = "https://api.heybee.app/v1/ingestions/commit"
payload = {
"idempotency_key": "<string>",
"rows": [
{
"anchor": {
"type": "<string>",
"value": "<string>"
},
"experiment_ref": "<string>",
"variants": [
{
"asset": {
"file_path": "<string>",
"text": "<string>"
},
"candidate_key": "<string>",
"candidate_label": "<string>",
"content_hash": "<string>",
"is_exam_only": False,
"metadata": {},
"parameters": {},
"source_sample_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
],
"allow_partial": True,
"mode": "manifest"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotency_key: '<string>',
rows: [
{
anchor: {type: '<string>', value: '<string>'},
experiment_ref: '<string>',
variants: [
{
asset: {file_path: '<string>', text: '<string>'},
candidate_key: '<string>',
candidate_label: '<string>',
content_hash: '<string>',
is_exam_only: false,
metadata: {},
parameters: {},
source_sample_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
}
],
allow_partial: true,
mode: 'manifest'
})
};
fetch('https://api.heybee.app/v1/ingestions/commit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allow_partial": true,
"committed_experiments": 123,
"created_anchors": 123,
"created_candidates": 123,
"created_samples": 123,
"errors": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"row": 123
}
],
"experiments": [
{
"experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experiment_name": "<string>",
"experiment_ref": "<string>",
"success": true,
"created_anchors": 0,
"created_candidates": 0,
"created_samples": 0,
"error_code": "<string>",
"error_message": "<string>",
"ingestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"readiness_state_after_commit": "<string>",
"reused_samples": 0
}
],
"failed_experiments": 123,
"idempotency_key": "<string>",
"reused_samples": 123,
"total_rows": 123,
"valid_rows": 123,
"mode": "manifest"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Samples
Commit Multi Ingestion Manifest
Commit a multi-experiment ingestion manifest with partition isolation.
POST
/
v1
/
ingestions
/
commit
Commit Multi Ingestion Manifest
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Plan/validate request for multi-experiment ingestion.
Response
Successful Response
Aggregate multi-experiment commit response.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Allowed value:
"manifest"⌘I

